# Read before creating an issue

For general programming questions with `tabula-py`, please ask on [Stack Overflow](https://stackoverflow.com/) instead.

Look at the [FAQ](https://github.com/chezou/tabula-py#faq) and previous issues whethere your issue is already reported.

Please comply following issue template with your bug report. Since tabula-py is a personal project of chezou and my resource is limited, I can't support all general programming questions such as "How to set PATH to java command on Windows?". Thank you for your cooperation.

**Remove the above before submmit**

------

<!--- Provide a general summary of your changes in the Title above -->

# Summary of your issue

<!-- Write the summary of your issue here -->

# Check list before submit

<!--- Write and check the following questionaries. -->

- [ ] Did you read [FAQ](https://tabula-py.readthedocs.io/en/latest/faq.html)?

- [ ] (Optional, but really helpful) Your PDF URL: ?

- [ ] Paste the output of `import tabula; tabula.environment_info()` on Python REPL: ?

If not possible to execute `tabula.environment_info()`, please answer following questions manually.

- [ ] Paste the output of `python --version` command on your terminal: ?
- [ ] Paste the output of `java -version` command on your terminal: ?
- [ ] Does `java -h` command work well?; Ensure your java command is included in `PATH`
- [ ] Write your OS and it's version: ?


# What did you do when you faced the problem?

<!--- Provide your information to reproduce the issue. -->

## Code:

```
paste your core code which minimum reproducible for the issue
```

## Expected behavior:

<!--- Write your expected results/outputs -->

```
write your expected output
```

## Actual behavior:

<!--- Put the actual results/outputs -->

```
paste your output
```

## Related Issues:
